# Transfer Entropy Feature Selection

[![License: MIT](https://img.shields.io/badge/license-MIT-green)](LICENSE)
![PyPI - Version](https://img.shields.io/pypi/v/tefs)
![PyPI - Downloads](https://img.shields.io/pypi/dm/tefs)

This repository implements a causal feature selection algorithm based on transfer entropy. The algorithm is described in: Bonetti, P., Metelli, A. M., & Restelli, M. (2023, October 17). Causal Feature Selection via Transfer Entropy. (https://arxiv.org/abs/2310.11059).

## Installation

The package can be installed using pip:

```bash
pip install tefs
```

## How to use

Refer to the documentation for usage examples.

## Attribution

If you use this package in your research, please cite the following paper:

```bibtex
@misc{bonetti2023causal,
    title = {Causal {{Feature Selection}} via {{Transfer Entropy}}},
    author = {Bonetti, Paolo and Metelli, Alberto Maria and Restelli, Marcello},
    year = 2023,
    eprint = {2310.11059},
    archiveprefix = {arXiv},
    primaryclass = {cs.LG}
}
```

## Authors

- Paolo Bonetti ([@PaoloBonettiPolimi](https://github.com/PaoloBonettiPolimi))
- Teo Bucci ([@teobucci](https://github.com/teobucci))
